<html>

<head>
<title>Reporting Station Temps</title>

</head>

<body background="graph.png">

<div align="center">

<table border="1" bgcolor="#FFFFFF"><tr><td align="center">
<font size="5">&nbsp;Reporting Stations Temperature&nbsp;</font>
</td></tr></table>

<?php

    print( "<SCRIPT LANGUAGE=\"javascript\">\n" );
    print( 'document.write( "<br><table border=\"2\" bgcolor=\"#808080\" cellpadding=\"5\"><tr><td><em>\n");' );
    print( 'document.write( "<a href=\"area-temps.php?x="+document.body.offsetWidth+"\">Click here if the graph does not correctly fit the window</a>\n" );' );
    print( 'document.write( "</em></td></tr></table><br>\n");' );
    print( "</SCRIPT>\n" );
    
    include 'phplot.php';

    $graph = new PHPlot;

    $conn = pg_Connect( "user=web dbname=wxn");

    if( !$conn )
    {
        echo "<p><b>Unable to connect to database</b></p>";
    }
    else
    {
        $gmt = gmdate ( "Y-m-d H:i:s" );
        $max = -1000;
        $min = 1000;
        $sql = "SELECT city,state,tcr FROM nodes WHERE age('".$gmt."',dtg_zulu) < interval '1 hour' ORDER BY city";
        $result_set = pg_Exec($conn, $sql);
        $rows = pg_numrows( $result_set );
        for( $i=0; $i<$rows; $i++ )
        {
            $city = pg_result( $result_set, $i, 'city' );
            $state = pg_result( $result_set, $i, 'state' );
            $data[$i][0] = $city.", ".$state;
            $data[$i][1] = $i;
            $data[$i][2] = pg_result( $result_set, $i, 'tcr' );
            if( $data[$i][2] < $min )
                $min = $data[$i][2];
            if( $data[$i][2] > $max )
                $max = $data[$i][2];
        }

        $min = $min-($min%10)-20;
        $max = $max-($max%10)+30;
        pg_close( $conn );

        if( !isset( $x ) )
        {
            $width = 600;
            $height = 400;
        }
        else
        {
            $x = (int)((int)$x/10)*10;      // round down to nearest 10
            $width = (int)((9*$x)/10);      // make 90% of browser screen width
            $height = (int)($width*2)/3;    // ratio is 3:2
        }
    
        $graph = new PHPlot( $width, $height, "image.png" );
    
        $graph->SetMarginsPixels(50,50,50,150);
        $graph->SetPlotAreaWorld(0,$min,$rows,$max);
        $graph->SetDataType('data-data');
        $graph->SetXGridLabelType('title');
        $graph->SetXDataLabelAngle(90);
        $graph->SetVertTickIncrement('10');
        $graph->SetHorizTickIncrement('1');
        $graph->SetSkipBottomTick(1);
        $graph->SetPrecisionY(0);
        $graph->SetPlotType('points');
        $graph->SetDataValues($data);
        $graph->SetDataColors(array("black"),array("black"));

        //Draw it
        $graph->SetIsInline( 1 );
        $graph->DrawGraph();
    }

    $rand1 = rand(500,20000);
    $rand2 = rand(500,20000);
    $rand3 = rand(500,20000);
    $rand4 = rand(500,20000);
    $rand5 = rand(500,20000);
    $md1 = md5($rand1.$rand2);
    $md2 = md5($rand3.$rand4.$rand5);
    $rq = $md1.$md2;
    print("<img src=\"image.png?".$rq."\">");

?>

</div>


</body>
</html>
