<?php

// daily-fields.php

$fields = array (

    "range",
    "The range of dates to display. If only one date is required, only the first date field should be populated.",
        
    "this_date",
    "The date of the summary.",
    
    "mtemp",
    "The mean (average) temperature for the day in degrees Fahrenheit.",
    
    "thr_val",
    "The high temperature recorded for the day in degrees Fahrenheit.",
    
    "thr_dtg",
    "Date/time of the high temperature.",
    
    "tlr_val",
    "The low temperature recorded for the day in degrees Fahrenheit.",
    
    "tlr_dtg",
    "Date/time of the low temperature.",
    
    "mtsd",
    "The mean soil temperature at 6\" depth. recorded for the day in degrees Fahrenheit",
    
    "cool_days",
    "The number of cooling degree days recorded for the day.",
    
    "heat_days",
    "The number of heating degree days recorded for the day",
    
    "mwind_dir",
    "Average direction of the wind for the day. Expressed in degrees.",
    
    "mwind_spd",
    "Average wind speed for the day in MPH.",
    
    "wgh_dir",
    "Direction of highest wind gust for the day. Expressed in degrees.",
    
    "wgh_spd",
    "Highest wind gust speed for the day in MPH.",
    
    "wgh_dtg",
    "Date/time of the high wind gust",
    
    "precip",
    "Total amount of precipitation in hundredths of an inch that fell. (e.g., 100 = 1.00\")",
    
    "mbar",
    "Mean barometric pressure reading in tenths of a millibar (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",
    
    "bhr_val",
    "The high pressure recorded for the day in in tenths of a millibar (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",
    
    "bhr_dtg",
    "Date/time of the high pressure reading.",
    
    "blr_val",
    "The low pressure recorded for the day in in tenths of a millibar (e.g., 10153 = 1015.3mb). Divide by ".
        "338.8653 to convert to inches of Mercury,",
    
    "blr_dtg",
    "Date/time of the low pressure reading.",
    
    "mhumid",
    "Mean humdity reading for the day in percent.",
    
    "hhr_val",
    "The high humidity recorded for the day.",
    
    "hhr_dtg",
    "Date/time of the high humidity.",
    
    "hlr_val",
    "The low humidity recorded for the day.",
    
    "hlr_dtg",
    "Date/time of the low humidity.",
    
    "edc",
    "Electro Magnetic Pulse (lightning) count totoal for the day.",
    
    "rda",
    "Background radiation count average for the day in micro-roentgens.",
    
    "rmax",
    "Highest background radiation count average recorded for the day in micro-roentgens.",
    
    "ralarm_count",
    "Number of times the background radiation alarm was tripped for the day.",
    
    );
    
?>

