<html>

<head>
<title>Background Radiation</title>
<script language="JavaScript" src="ts_picker.js">
//Script by Denis Gritcyuk: tspicker@yahoo.com
//Submitted to JavaScript Kit (http://javascriptkit.com)
//Visit http://javascriptkit.com for this script
</script>

</head>

<body background="graph.png">

<div align="center">

<table border="1" bgcolor="#FFFFFF"><tr><td align="center">
<font size="5">&nbsp;Background Radiation&nbsp;</font>
</td></tr></table>

<?php

    print( "<SCRIPT LANGUAGE=\"javascript\">\n" );
    print( 'document.write( "<br><table border=\"2\" bgcolor=\"#808080\" cellpadding=\"5\"><tr><td><em>");' );
    if( isset( $interval ) )
    {
        print( 'document.write( "<a href=\"rad.php?x="+document.body.offsetWidth+"&interval='.$interval.'\">Click here if the graph does not correctly fit the window</a>" );' );
    }
    else
    {
        $interval = 24;
        print( 'document.write( "<a href=\"rad.php?x="+document.body.offsetWidth+"\">Click here if the graph does not correctly fit the window</a>" );' );
    }
    print( 'document.write( "</em></td></tr></table><br>");' );
    print( "</SCRIPT>\n" );

    $conn = pg_Connect( "user=web dbname=wxn");

    if(!$conn)
    {
        echo "<p><b>Unable to connect to database</b></p>";
    }
    else
    {
        $sql = "SELECT current_timestamp";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $today_full = pg_result( $result_set, 0, 0 );
            $today[0] = substr( $today_full, 0, 4 );    // year
            $today[1] = substr( $today_full, 5, 2 );    // month
            $today[2] = substr( $today_full, 8, 2 );    // day
            $today[3] = substr( $today_full, 11, 2 );   // hour
        }
        else
        {
            $today[0] = "0000";
            $today[1] = "00";
            $today[2] = "00";
            $today[3] = "00";
        }

        if( !isset( $date_stamp ) )
        {
            $datestamp = $today[0]."-".$today[1]."-".$today[2];
            $hour = $today[3];
        }
        else
        {
            $datestamp = $date_stamp;
            $hour = "23";
        }

        print( "<table border=\"1\" bgcolor=\"#E0E0E0\"><tr>\n" );

        print( "<form action=\"rad.php\" name=\"ts1\" method=\"get\">\n" );
        print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;End Date:&nbsp;</td>\n" );
        print( "<td align=\"center\" bgcolor=\"#E0E0E0\">&nbsp;\n");
        print( "<input type=\"Text\" name=\"date_stamp\" value=\"".$datestamp."\" size=\"20\">\n" );
        print( "<a href=\"javascript:show_calendar('document.ts1.date_stamp', document.ts1.date_stamp.value, 3)\">\n" );
        print( "<img src=\"cal.png\" width=\"20\" height=\"20\" border=\"0\"</a>&nbsp;</td>\n" );

        print( "<td>&nbsp;Span/hours:&nbsp<select name=\"interval\" size=\"1\">\n" );
        print( "<option value=\"".$interval."\">".$interval."</option>\n" );
        print( "<option value=\"24\">24</option>\n" );
        print( "<option value=\"48\">48</option>\n" );
        print( "<option value=\"72\">72</option>\n" );
        print( "</select>&nbsp;</td>\n" );
        print( "<input type=\"hidden\" name=\"x\" value=\"".$x."\">\n" );
        print( "<td>&nbsp;<input type=\"submit\" value=\" Display \">&nbsp;</form></td>\n" );
        print( "</tr></table><br>\n" );

        $sql = "SELECT dtg_local,rha FROM hourly WHERE dtg_local BETWEEN (timestamp '".$datestamp." ".$hour.":00' - interval '".$interval." hours') AND timestamp '".$datestamp." ".$hour.":00' ORDER BY dtg_local;";
        $result_set = pg_Exec($conn, $sql);
        $rows = pg_numrows( $result_set );
        for( $i=0; $i<$rows; $i++ )
        {
            if( $interval > 24 )
            {
                if( $i%2 == 0 )
                {
                    $temp_data[$i][0] = substr( pg_result( $result_set, $i, 0 ), 5, 8 );
                }
                else
                {
                    $temp_data[$i][0] = "";
                }
            }
            else
            {
                $temp_data[$i][0] = substr( pg_result( $result_set, $i, 0 ), 5, 8 );
            }

            $temp_data[$i][1] = pg_result( $result_set, $i, 1 ); 
        }
        pg_close( $conn );
    }

    if( !isset( $x ) )
    {
        $width = 600;
        $height = 400;
    }
    else
    {
        $x = (int)((int)$x/10)*10;      // round down to nearest 10
        $width = (int)((9*$x)/10);      // make 90% of browser screen width
        $height = (int)($width*2)/3;    // ratio is 3:2
    }

    include 'phplot.php';

    $graph = new PHPlot( $width, $height, "image.png" );
    $graph->SetMarginsPixels(50,50,50,75);
    $graph->SetPlotType( "linepoints" );
    $graph->SetYLabel( "uRoentgens/Hour" );
    $graph->SetVertTickIncrement( 5 );
    $graph->SetPrecisionY( 0 );
    $graph->SetXDataLabelAngle(90);
    $graph->SetDataValues( $temp_data );

    $dcolor = array( "red" );
    $bcolor = array( "black" );
    $graph->SetDataColors( $dcolor, $bcolor );

    //Draw it
    $graph->SetIsInline( 1 );
    $graph->DrawGraph();

    $rand1 = rand(500,20000);
    $rand2 = rand(500,20000);
    $rand3 = rand(500,20000);
    $rand4 = rand(500,20000);
    $rand5 = rand(500,20000);
    $md1 = md5($rand1.$rand2);
    $md2 = md5($rand3.$rand4.$rand5);
    $rq = $md1.$md2;
    print("<img src=\"image.png?".$rq."\">");

?>

</div>


</body>
</html>

