/////////////////////////////////////////////////////////////////////
// strxcpy.cpp - copy at most <n> characters to string
//
//                             -------------------
//    begin                : Wed Feb  5 11:25:29 CST 2003
//    copyright            : (C) 2003-2005 by John Bennett
//    email                : n4xi@arrl.net
////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////
//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.
////////////////////////////////////////////////////////////////////////////

#define _STRXCPY_CPP_

#include "strxcpy.h"


/////////////////////////////////////////////////////////////////////
// strxcpy - copy at most <count> characters from szSource to
// szDestination.  Copied string is NULL terminated in any case. 
// Returns number of characters copied.
//

int strxcpy( char * szDestination, char * szSource, int nCount )
{
    int i;
    char *pDest, *pSrc;

    pSrc = szSource;
    pDest = szDestination;

    for( i=0; i<nCount; i++ )
    {
        *pDest = *pSrc;
        if( *pSrc == 0 )
            return i;
        pSrc++;
        pDest++;
    }

    *pDest = 0;

    return i;
}

