/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

//
// node.h  - handles I/O from database backend
//

#ifndef _NODE_H_
#define _NODE_H_

#ifndef BOOL
    typedef int BOOL;
#endif

// libwxn
#include <datastruct.h>


BOOL ReadNode( noderx * pBlock );
BOOL ReadZoneInfo( noderx * pBlock );

BOOL NodeExists( noderx * pBlock );
BOOL CreateRecord( noderx * pBlock );

BOOL WriteBase( noderx * pBlock );
BOOL WriteCalc( noderx * pBlock );
BOOL WriteTypeA( noderx * pBlock );
BOOL WriteTypeB( noderx * pBlock );
BOOL WriteTypeC( noderx * pBlock );
BOOL WriteTypeD( noderx * pBlock );
BOOL WriteTypeE( noderx * pBlock );


#endif  //  _NODE_H_

