<html>

<head>
<title>Current Conditions</title>
<meta http-equiv="Refresh" content="300">
</head>

<body background="sfc_map.png">

<?php
    $conn = pg_Connect( "user=web dbname=wxn");

    if(!$conn)
    {
        print( "<p><b>Unable to connect to database</b></p>" );
    }
    else
    {
        include 'functions.php';
        include 'local/global.php';

        $gmt = gmdate ( "Y-m-d H:i:s" );

        if( !isset( $nodecall ) )
        {
            $nodecall = $home;
        }
        if( !isset( $interval ) )
        {
            $interval = 1;
        }
        if( !isset( $detail ) )
        {
            $detail = 0;
        }

        $qrzcall = substr( $nodecall, 0, strpos($nodecall, "-") );

        $sql = "SELECT count(*) FROM nodes WHERE age('$gmt',dtg_zulu) < interval '1 hour'";
        $result_set = pg_Exec( $conn, $sql );
        if( pg_numrows( $result_set ) )
            $stns = pg_result( $result_set, 0, 0 );
        else
            $stns = 1;

        $sql = "SELECT timezone,latitude,longitude FROM nodes WHERE call_ssid='$home'";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $home_zone = pg_result( $result_set, 0, 'timezone' );
            $ALat = pg_result( $result_set, 0, 'latitude' );
            $ALong = pg_result( $result_set, 0, 'longitude' );
        }

        print( "<div align=\"center\">\n" );
        print( "<table border=\"1\" bgcolor=\"#FFFFFF\"><tr><td><center>\n" );
        $sql = "SELECT city,county,state,timezone FROM nodes WHERE call_ssid='".$nodecall."'";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $city = pg_result( $result_set, 0, 'city' );
            $county = pg_result( $result_set, 0, 'county' );
            $state = pg_result( $result_set, 0, 'state' );
            $zone = pg_result( $result_set, 0, 'timezone' );
            print( "<font size=\"5\">" );
            if( strstr($city, "unknown>") )
                print( "<em>*Unknown Location*</em></font><br>\n" );
            else
                print( "<b>&nbsp;".$city . ", " . $state . " (" . $county . ")&nbsp;</b></font><br>\n" );
            print( "<font size=\"4\">Current Conditions&nbsp;" );
            if( isset( $detail ) && $detail != 0 )
                print( "Detail" );
            else
                print( "Summary" );
            print( "</font><br>\n" );
            print( "<a href=\"http://www.qrz.com/detail/".$qrzcall."\" target=\"top\"><em>Data Source: ".$nodecall."</em></a><br>\n" );
            print( "<em>This page will auto-refresh every five minutes.</em>\n" );

        }
        else
        {
            print( "<font size=\"5\"><em>Unable to retrieve data from source " . $nodecall . "</em></font>\n" );
        }
        print( "</td></tr></table><br>\n" );

        print( "<table border=\"1\" bgcolor=\"#E0E0E0\">\n" );
        print( "<tr><td colspan=\"3\" align=\"center\">There were <b>".$stns."</b> stations reporting within the last hour</td></tr>\n" );        
        print( "<tr>" );
        if( isset( $detail ) && $detail != 0 )
        {
            // summary
            print( "<td><form method=\"GET\" action=\"current.php\"><input type=\"submit\" value=\"Summary\">\n" );
            print( "<input type=\"hidden\" name=\"interval\" value=\"".$interval."\">\n" );
            print( "<input type=\"hidden\" name=\"detail\" value=\"0\">\n" );
            print( "<input type=\"hidden\" name=\"nodecall\" value=\"".$nodecall."\"></form></td>\n" );
        }
        else
        {
            // detail
            print( "<td><form method=\"GET\" action=\"current.php\"><input type=\"submit\" value=\"   Detail  \">\n" );
            print( "<input type=\"hidden\" name=\"interval\" value=\"".$interval."\">\n" );
            print( "<input type=\"hidden\" name=\"detail\" value=\"1\">\n" );
            print( "<input type=\"hidden\" name=\"nodecall\" value=\"".$nodecall."\"></form></td>\n" );
        }
        // location selector
        $sql = "SELECT city,county,state,call_ssid FROM nodes WHERE age('$gmt',dtg_zulu) < interval '".$interval." hours'";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            for( $i=0; $i<$rows; $i++ )
            {
                $loc[$i]['city'] = pg_result( $result_set, $i, 'city' );
                $loc[$i]['county'] = pg_result( $result_set, $i, 'county' );
                $loc[$i]['state'] = pg_result( $result_set, $i, 'state' );
                $loc[$i]['call'] = pg_result( $result_set, $i, 'call_ssid' );
            }
            sort( $loc );

            print( "<td align=\"center\"><b>Location Selector</b><br>\n" );
            print( "<form method=\"GET\" action=\"current.php\">\n" );
            print( "<select name=\"nodecall\" size=\"1\">\n" );
            print( "<option selected value=".$home.">[this server]</option>\n" );
            for( $i=0; $i<$rows; $i++ )
            {
                if( strstr($loc[$i]['city'], "unknown>") )
                    print( "<option value=".$loc[$i]['call'].">? (".$loc[$i]['call'].")</option>\n" );
                else
                    print( "<option value=".$loc[$i]['call'].">" . $loc[$i]['city'] . ", " . $loc[$i]['state'] . " (" . $loc[$i]['county'] . ")</option>\n" );
            }
            print( "</select>&nbsp;<input type=\"submit\" value=\" Go \"><br>\n" );
            print( "<input type=\"hidden\" name=\"detail\" value=\"".$detail."\">" );
            print( "<input type=\"hidden\" name=\"interval\" value=\"".$interval."\">\n" );
            print( "</form></td>\n" );

        }
        else
            print( "<td>&nbsp;</td>\n" );

        // age selector
        print( "<td align=\"center\"><form method=\"GET\" action=\"current.php\">\n" );
        print( "<div align=\"center\">Data Age/Hours<br>\n" );
        print( "<select name=\"interval\" size=\"1\">\n" );
        print( "<option value=\"".$interval."\">".$interval."</option>\n" );
        print( "<option value=\"1\">1</option>\n" );
        print( "<option value=\"2\">2</option>\n" );
        print( "<option value=\"6\">6</option>\n" );
        print( "<option value=\"12\">12</option>\n" );
        print( "<option value=\"24\">24</option>\n" );
        print( "</select>&nbsp;<input type=\"submit\" value=\"Change\"><br>\n" );
        print( "<input type=\"hidden\" name=\"detail\" value=\"".$detail."\">" );
        print( "<input type=\"hidden\" name=\"nodecall\" value=\"".$nodecall."\">\n" );
        print( "</div>\n" );
        print( "</form></td>\n" );
        print( "</tr>\n" );

        print( "</table><br>\n" );

        $sql = "SELECT current_timestamp(0)";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $now = pg_result( $result_set, 0, 0 );
        }
        else
        {
            $now = "?";
        }

        $sql = "SELECT dtg_zulu,dtg_local,latitude,longitude FROM nodes WHERE call_ssid='$nodecall'";
        $result_set = pg_Exec( $conn, $sql );
        $rows = pg_numrows( $result_set );
        if( $rows > 0 )
        {
            $zulu = pg_result( $result_set, 0, 'dtg_zulu' );
            $local = pg_result( $result_set, 0, 'dtg_local' );
            $BLat = pg_result( $result_set, 0, 'latitude' );
            $BLong = pg_result( $result_set, 0, 'longitude' );

            $sql = "SELECT age( '".$gmt."','".$zulu."')";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $age = pg_result( $result_set, 0, 0 );
            }
            else
            {
                $age = "?";
            }

            print( "<div align=\"center\">\n" );
            print( "<table border=\"1\" width=\"100%\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            if( $detail == 1 )
                print( "<td colspan=\"4\" bgcolor=\"#FFFF00\"><b>Date/Time Posted</b></td>\n" );
            else
                print( "<td colspan=\"4\" bgcolor=\"#FFFF00\" align=\"center\"><b>Date/Time Posted</b></td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\" align=\"center\">Location<br>Timestamp</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\" align=\"center\">UTC<br>Timestamp</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\" align=\"center\">Current<br>(this server)</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\" align=\"center\">Age<br>(hh:mm:ss)</td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".substr($local,0,16)."</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".substr($zulu,0,16)."</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".substr($now,0,16)."</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">" );
            if( $nodecall == $home )
            {
                $sql = "SELECT current_time where age( '".$gmt."', '".$zulu."' ) > interval '10 minutes'";
                $result_set = pg_Exec( $conn, $sql );
                $rows = pg_numrows( $result_set );
                if( $rows > 0 )
                    print( "<font color=\"#FF0000\"><blink>".$age."</blink></font>" );
                else
                    print( $age );
            }
            else
                print( $age );

            print( "</td>\n" );
            print( "</tr>\n" );

            if( $home != $nodecall )
            {
                list( $where, $distance ) = CalcAzDist( $ALat, $ALong, $BLat, $BLong );
                print( "<td colspan=\"4\" bgcolor=\"#A0A0A0\" align=\"center\">Station is <b>".$where."</b> from this server</td>\n" );
            }

            print( "</table>\n" );
            print( "</div>\n" );

        }
        else
        {
            print( "<p><center><em>Error accessing database</em></center></p>\n" );
        }

        // Print out the data

        if( $detail == 1 )
        {
            // detail
            print( "<div align=\"center\">\n" );
            print( "<table border=\"1\" width=\"100%\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            print( "<td colspan=\"4\" bgcolor=\"#FFFF00\"><b>Temperature</b></td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Current</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">High</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Low</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Hourly Rate</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT tcr,thr_val,thr_dtg,tlr_val,tlr_dtg,trh FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'tcr' );
                $v2 = pg_result( $result_set, 0, 'thr_val' );
                $v3 = pg_result( $result_set, 0, 'thr_dtg' );
                $v4 = pg_result( $result_set, 0, 'tlr_val' );
                $v5 = pg_result( $result_set, 0, 'tlr_dtg' );
                $v6 = pg_result( $result_set, 0, 'trh' );
            }
            else
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";$v5="&nbsp";$v6="&nbsp";
            }

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".tcolor($v1)."\">".$v1."</font>&deg;</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".tcolor($v2)."\">".$v2."</font>&deg;<br>".substr($v3,0,16)."</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".tcolor($v4)."\">".$v4."</font>&deg;<br>".substr($v5,0,16)."</td>\n" );
            if( $v6 > 0 )
            {
                print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">+".$v6."&deg;</td>\n" );
            }
            else
            {
                print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v6."&deg;</td>\n" );
            }
            print( "</tr>\n" );

            $sql = "SELECT tyh,tyl,wca,heatindex,dewpoint FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'tyh' );
                $v2 = pg_result( $result_set, 0, 'tyl' );
                $v3 = pg_result( $result_set, 0, 'wca' );
                $v4 = pg_result( $result_set, 0, 'heatindex' );
                $v5 = pg_result( $result_set, 0, 'dewpoint' );
            }
            else
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";$v5="&nbsp";
            }

            print( "<tr>\n" );
            if( isset( $v3 ) )
            {
                $vx_set = 1;
                print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Wind Chill</td>\n" );
                $vx = $v3;
            }
            else if( isset( $v4 ) )
            {
                $vx_set = 1;
                print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Heat Index</td>\n" );
                $vx = $v4;
            }
            else
            {
                $vx_set = 0;
                print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">&nbsp</td>\n" );
            }
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Dewpoint</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Yesterday High</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Yesterday Low</td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            if( $vx_set == 1 )
                print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".tcolor($vx)."\">".$vx."</font>&deg;</td>\n" );
            else
                print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">&nbsp;</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v5."&deg;</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".tcolor($v1)."\">".$v1."</font>&deg;</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".tcolor($v2)."\">".$v2."</font>&deg;</td>\n" );
            print( "</tr>\n" );

            print( "</table>\n" );

            print( "<table border=\"1\" width=\"100%\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            print( "<td colspan=\"4\" bgcolor=\"#FFFF00\"><b>Wind</b></td>\n" );
            print( "</tr>\n" );
            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Current Avg</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Current Gust</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">High Average</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">High Gust</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT wac_spd,wac_dir,wgc_spd,wgc_dir,wah_spd,wah_dir,wah_dtg,wgh_spd,wgh_dir,wgh_dtg FROM nodes WHERE call_ssid='$nodecall'";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'wac_spd' );
                $v2 = direction( pg_result( $result_set, 0, 'wac_dir' ) );
                $v3 = pg_result( $result_set, 0, 'wgc_spd' );
                $v4 = direction( pg_result( $result_set, 0, 'wgc_dir' ) );
                $v5 = pg_result( $result_set, 0, 'wah_spd' );
                $v6 = direction( pg_result( $result_set, 0, 'wah_dir' ) );
                $v7 = pg_result( $result_set, 0, 'wah_dtg' );
                $v8 = pg_result( $result_set, 0, 'wgh_spd' );
                $v9 = direction( pg_result( $result_set, 0, 'wgh_dir' ) );
                $v10 = pg_result( $result_set, 0, 'wgh_dtg' );
            }
            else
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";$v5="&nbsp";$v6="&nbsp";$v7="&nbsp";$v8="&nbsp";
            }

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v2."@<font color=\"".wcolor($v1)."\">".$v1."</font></td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v4."@<font color=\"".wcolor($v3)."\">".$v3."</font></td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v6."@<font color=\"".wcolor($v5)."\">".$v5."</font><br>".substr($v7,0,16)."</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v9."@<font color=\"".wcolor($v8)."\">".$v8."</font><br>".substr($v10,0,16)."</td>\n" );
            print( "</tr>\n" );

            print( "</table>\n" );

            print( "<table border=\"1\" width=\"100%\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            print( "<td colspan=\"4\" bgcolor=\"#FFFF00\"><b>Barometric Pressure</b></td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Current</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">High</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Low</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Hourly Rate</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT bcr,bhr_val,bhr_dtg,blr_val,blr_dtg,brh FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'bcr' );
                $v1a = $v1 / 338.653;
                $v2 = pg_result( $result_set, 0, 'bhr_val' );
                $v2a = $v2 / 338.653;
                $v3 = pg_result( $result_set, 0, 'bhr_dtg' );
                $v4 = pg_result( $result_set, 0, 'blr_val' );
                $v4a = $v4 / 338.653;
                $v5 = pg_result( $result_set, 0, 'blr_dtg' );
                $v6 = pg_result( $result_set, 0, 'brh' );
                $v6a = $v6 / 338.653;
            }
            else
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";$v5="&nbsp";$v6="&nbsp";
                $v1a="&nbsp";$v2a="&nbsp";$v4a="&nbsp";$v6a="&nbsp";
            }

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".number_format($v1a,2)."\"<br>(".($v1/10.0)."mb)</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".number_format($v2a,2)."\" (".($v2/10.0)."mb)<br>".substr($v3,0,16)."</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".number_format($v4a,2)."\" (".($v4/10.0)."mb)<br>".substr($v5,0,16)."</td>\n" );
            if( $v6 > 0 )
            {
                print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">+".number_format($v6a,2)."\"<br>(+".($v6/10.0)."mb)</td>\n" );
            }
            else
            {
                print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".number_format($v6a,2)."\"<br>(".($v6/10.0)."mb)</td>\n" );
            }
            print( "</tr>\n" );

            print( "</table>\n" );

            print( "<table border=\"1\" width=\"100%\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            print( "<td colspan=\"4\" bgcolor=\"#FFFF00\"><b>Humidity</b></td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Current</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">High</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Low</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Hourly Rate</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT hcr,hhr_val,hhr_dtg,hlr_val,hlr_dtg,hrh FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'hcr' );
                $v2 = pg_result( $result_set, 0, 'hhr_val' );
                $v3 = pg_result( $result_set, 0, 'hhr_dtg' );
                $v4 = pg_result( $result_set, 0, 'hlr_val' );
                $v5 = pg_result( $result_set, 0, 'hlr_dtg' );
                $v6 = pg_result( $result_set, 0, 'hrh' );
            }
            else
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";$v5="&nbsp";$v6="&nbsp";
            }

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".hcolor($v1)."\">".$v1."%</font></td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".hcolor($v2)."\">".$v2."</font>%<br>".substr($v3,0,16)."</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".hcolor($v4)."\">".$v4."</font>%<br>".substr($v5,0,16)."</td>\n" );
            if( $v6 > 0 )
            {
                print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">+".$v6."%</td>\n" );
            }
            else
            {
                print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v6."%</td>\n" );
            }
            print( "</tr>\n" );

            print( "</table>\n" );

            print( "<table border=\"1\" width=\"100%\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            print( "<td colspan=\"4\" bgcolor=\"#FFFF00\"><b>Precipitation</b></td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Today</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Hourly Rate</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Instantaneous Rate</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Last Hour</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT pca,prh,pri,plh FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'pca' ) / 100.00;
                $v2 = pg_result( $result_set, 0, 'prh' ) / 100.00;
                $v3 = pg_result( $result_set, 0, 'pri' ) / 100.00;
                $v4 = pg_result( $result_set, 0, 'plh' ) / 100.00;
            }
            else
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";
            }

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".pcolor($v1)."\">".number_format($v1,2)."</font>\"</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".pcolor($v2)."\">".number_format($v2,2)."</font>\"</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".pcolor($v3)."\">".number_format($v3,2)."</font>\"</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".pcolor($v4)."\">".number_format($v4,2)."</font>\"</td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Last 24 Hours</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Yesterday</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Month</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Year</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT p24,pty,ptm,pta FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'p24' ) / 100.00;
                $v2 = pg_result( $result_set, 0, 'pty' ) / 100.00;
                $v3 = pg_result( $result_set, 0, 'ptm' ) / 100.00;
                $v4 = pg_result( $result_set, 0, 'pta' ) / 100.00;
            }
            else
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";
            }

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".number_format($v1,2)."\"</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".number_format($v2,2)."\"</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".number_format($v3,2)."\"</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".number_format($v4,2)."\"</td>\n" );
            print( "</tr>\n" );

            print( "</table>\n" );

            print( "<table border=\"1\" width=\"100%\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            print( "<td colspan=\"5\" bgcolor=\"#FFFF00\"><b>EMP</b>&nbsp;(Lightning)</td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"20%\" bgcolor=\"#E0E0E0\">5 Minutes</td>\n" );
            print( "<td width=\"20%\" bgcolor=\"#E0E0E0\">15 Minutes</td>\n" );
            print( "<td width=\"20%\" bgcolor=\"#E0E0E0\">30 Minutes</td>\n" );
            print( "<td width=\"20%\" bgcolor=\"#E0E0E0\">60 Minutes</td>\n" );
            print( "<td width=\"20%\" bgcolor=\"#E0E0E0\">Day</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT ecc,eqc,exc,ehc,edc FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'ecc' );
                $v2 = pg_result( $result_set, 0, 'eqc' );
                $v3 = pg_result( $result_set, 0, 'exc' );
                $v4 = pg_result( $result_set, 0, 'ehc' );
                $v5 = pg_result( $result_set, 0, 'edc' );
            }

            if( ($rows == 0) || !isset( $v5 ) )
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";$v5="&nbsp";
            }

            print( "<tr>\n" );
            print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"right\"><font color=\"".ecolor($v1)."\">".$v1."</font></td>\n" );
            print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"right\"><font color=\"".ecolor($v2)."\">".$v2."</font></td>\n" );
            print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"right\"><font color=\"".ecolor($v3)."\">".$v3."</font></td>\n" );
            print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"right\"><font color=\"".ecolor($v4)."\">".$v4."</font></td>\n" );
            print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"right\"><font color=\"".ecolor($v5)."\">".$v5."</font></td>\n" );
            print( "</tr>\n" );

            print( "</table>\n" );

            $sql = "SELECT rca,rha,rda,rmax,ralarm_count FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                if (pg_field_is_null($result_set, 0, 'rca' ) == 0 )
                {
                    $v1 = pg_result( $result_set, 0, 'rca' );
                    $v2 = pg_result( $result_set, 0, 'rha' );
                    $v3 = pg_result( $result_set, 0, 'rda' );
                    $v4 = pg_result( $result_set, 0, 'rmax' );
                    $v5 = pg_result( $result_set, 0, 'ralarm_count' );

                    print( "<table border=\"1\" width=\"100%\" bgcolor=\"#FFFFFF\">\n" );
                    print( "<tr>\n" );
                    print( "<td colspan=\"5\" bgcolor=\"#FFFF00\"><b>Background Radiation</b>&nbsp;(uRoentgens/Hour)</td>\n" );
                    print( "</tr>\n" );
                    print( "<tr>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#E0E0E0\">5 Min Avg</td>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#E0E0E0\">Hour Avg</td>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#E0E0E0\">Day Avg</td>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#E0E0E0\">Max Avg</td>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#E0E0E0\">Alarm Count</td>\n" );
                    print( "</tr>\n" );

                    print( "<tr>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"right\">".$v1."</td>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"right\">".$v2."</td>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"right\">".$v3."</td>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"right\">".$v4."</td>\n" );
                    print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"right\">".$v5."</td>\n" );
                    print( "</tr>\n" );
                    print( "</table>\n" );
                }
            }

            print( "<table border=\"1\" width=\"100%\" bgcolor=\"#FFFFFF\">\n" );

            print( "<tr>\n" );
            print( "<td colspan=\"4\" bgcolor=\"#FFFF00\"><b>Other</b></td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT cool_days,heat_days,tsd,tsd2,sunrise,sunset FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'cool_days' );
                $v2 = pg_result( $result_set, 0, 'heat_days' );
                $v3a = pg_result( $result_set, 0, 'tsd' );
                $v3b = pg_result( $result_set, 0, 'tsd2' );
                $v4 = pg_result( $result_set, 0, 'sunrise' );
                $v5 = pg_result( $result_set, 0, 'sunset' );
            }
            else
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";
            }

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Cooling Degree Days&nbsp;(yesterday)</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Heating Degree Days&nbsp;(yesterday)</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Sunrise</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Sunset</td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v1."</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v2."</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".substr($v4,0,16)."</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".substr($v5,0,16)."</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT tsd,tsd2 FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                if (pg_field_is_null($result_set, 0, 'tsd' ) == 0 )
                {
                    $v3a = pg_result( $result_set, 0, 'tsd' );
                    $v3b = pg_result( $result_set, 0, 'tsd2' );

                    print( "<tr>\n" );
                    print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Soil Temp (6\")</td>\n" );
                    print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Soil Temp (8\")</td>\n" );
                    print( "<td colspan=\"2\" bgcolor=\"#E0E0E0\">&nbsp;</td>\n" );
                    print( "</tr>\n" );

                    print( "<tr>\n" );
                    print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v3a."&deg;</td>\n" );
                    print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v3b."&deg;</td>\n" );
                    print( "<td colspan=\"2\" bgcolor=\"#A0A0A0\">&nbsp;</td>\n" );
                    print( "</tr>\n" );
                }
            }


            print( "</table>\n" );
            print( "</div>\n" );

        }
        else    // print summary
        {
        print( "<div align=\"center\">\n" );
        print( "<table border=\"1\" width=\"100%\" bgcolor=\"#FFFFFF\">\n" );
            print( "<tr>\n" );
            print( "<td colspan=\"4\" bgcolor=\"#FFFF00\" align=\"center\"><b>Summary</b></td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Temperature</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Wind Avg / Gust</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Barometric Pressure</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Humidity</td>\n" );
            print( "</tr>\n" );

            $sql = "SELECT tcr,trh,wac_spd,wac_dir,wgc_spd,wgc_dir,bcr,brh,hcr,hrh FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'tcr' );
                $temp = $v1;
                $r1 = pg_result( $result_set, 0, 'trh' );
                $v2 = pg_result( $result_set, 0, 'wac_spd' );
                $v3 = direction( pg_result( $result_set, 0, 'wac_dir' ) );
                $v4 = pg_result( $result_set, 0, 'wgc_spd' );
                $v5 = direction( pg_result( $result_set, 0, 'wgc_dir' ) );
                $v6 = pg_result( $result_set, 0, 'bcr' );
                $v6a = $v6 / 338.653;
                $r6 = pg_result( $result_set, 0, 'brh' );
                $v7 = pg_result( $result_set, 0, 'hcr' );
                $r7 = pg_result( $result_set, 0, 'hrh' );
            }
            else
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";$v5="&nbsp";$v6="&nbsp";$v6a="&nbsp";$v7="&nbsp";
            }

            print( "<tr>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".tcolor($v1)."\">".$v1."</font>&deg;" );
            if( $r1 > 0 )
                print( "&nbsp;<img src=\"u_arrow.gif\" height=\"15\" width=\"15\">" );
            else if( $r1 < 0 )
                print( "&nbsp;<img src=\"d_arrow.gif\" height=\"15\" width=\"15\">" );
            print( "</td>\n" );

            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v3."@<font color=\"".wcolor($v2)."\">".$v2."</font> / ".$v5."@<font color=\"".wcolor($v4)."\">".$v4."</font></td>\n" );

            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".number_format($v6a,2)."\"" );
            if( $r6 > 0 )
                print( "&nbsp;<img src=\"u_arrow.gif\" height=\"15\" width=\"15\">" );
            else if( $r6 < 0 )
                print( "&nbsp;<img src=\"d_arrow.gif\" height=\"15\" width=\"15\">" );
            print( "<br>(".($v6/10.0)." mb)</td>\n" );

            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".hcolor($v7)."\">".$v7."</font>%\n" );
            if( $r7 > 0 )
                print( "&nbsp;<img src=\"u_arrow.gif\" height=\"15\" width=\"15\">" );
            else if( $r7 < 0 )
                print( "&nbsp;<img src=\"d_arrow.gif\" height=\"15\" width=\"15\">" );
            print( "</td>\n" );

            print( "</tr>\n" );

            $sql = "SELECT pca,pri,dewpoint,wca,heatindex,ecc,ehc,edc FROM nodes WHERE call_ssid='$nodecall';";
            $result_set = pg_Exec( $conn, $sql );
            $rows = pg_numrows( $result_set );
            if( $rows > 0 )
            {
                $v1 = pg_result( $result_set, 0, 'pca' ) / 100.00;
                $r1 = pg_result( $result_set, 0, 'pri' );
                $v2 = pg_result( $result_set, 0, 'dewpoint' );
                $v3 = pg_result( $result_set, 0, 'wca' );
                $v4 = pg_result( $result_set, 0, 'heatindex' );
                $v5 = pg_result( $result_set, 0, 'ecc' );
                $v6 = pg_result( $result_set, 0, 'ehc' );
                $v7 = pg_result( $result_set, 0, 'edc' );
            }
            else
            {
                $v1="&nbsp";$v2="&nbsp";$v3="&nbsp";$v4="&nbsp";$v5="&nbsp";$v6="&nbsp";
            }

            print( "<tr>\n" );
            if( isset( $v3 ) )
            {
                $vx_set = 1;
                print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Wind Chill</td>\n" );
                $vx = $v3;
            }
            else if( isset( $v4 ) )
            {
                $vx_set = 1;
                print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Heat Index</td>\n" );
                $vx = $v4;
            }
            else
            {
                $vx_set = 0;
                print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">&nbsp</td>\n" );
            }

            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Dewpoint</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">Precipitation</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#E0E0E0\">EMP 5m/60m/Day</td>\n" );
            print( "</tr>\n" );

            print( "<tr>\n" );
            if( $vx_set == 1 )
                print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".tcolor($vx)."\">".$vx."</font>&deg;</td>\n" );
            else
                print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">&nbsp;</td>\n" );

            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\">".$v2."&deg;</td>\n" );
            print( "<td width=\"25%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".pcolor($v1)."\">".number_format($v1,2)."</font>\"\n" );
            if( $r1 > 0 )
            {
                if( isset( $temp ) && ($temp < 32) )
                {
                    print( "&nbsp;<img src=\"snow.gif\" width=\"35\" height=\"20\">" );
                }
                else
                {
                    print( "&nbsp;<img src=\"rain.gif\" width=\"35\" height=\"20\">" );
                }
            }
            print( "</td>\n" );

            if( isset( $v7 ) )
            {
                print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"center\"><font color=\"".ecolor($v5)."\">".$v5."</font> / <font color=\"".ecolor($v6)."\">".$v6."</font> / <font color=\"".ecolor($v7)."\">".$v7."</font>\n" );
                if( $v5 > 0 )
                    print( "&nbsp;<img src=\"bolt.gif\" width=\"20\" height=\"20\">" );
            }
            else
                print( "<td width=\"20%\" bgcolor=\"#A0A0A0\" align=\"center\">- / - / -\n" );
            print( "</td>\n" );
            print( "</tr>\n" );

            print( "</table>\n" );
            print( "</div>\n" );
        }

    }

?>

</body>
</html>

