/***************************************************************************
 *   Copyright (C) 2005 by John Bennett   *
 *   n4xi@arrl.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _WXCALC_H_
#define _WXCALC_H_

#include "datastruct.h"


#ifdef __cplusplus
extern "C"
{
#endif

    void CalculateFields( nodedata * pData );
    int HeatIndex( int nTemp, int nRH );
    int DewPoint( int nTemp, int nRH );
    int Chill( int nTemp, int nWind );
    int HeatDays( int nMeanTemp );
    int CoolDays( int nMeanTemp );

#ifdef __cplusplus
}
#endif


#endif  // _WXCALC_H_
